org.apache.felix.ipojo

## Class UnacceptableConfiguration

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.felix.ipojo.UnacceptableConfiguration

All Implemented Interfaces:
  java.io.Serializable

    public class UnacceptableConfiguration
    extends java.lang.Exception

UnacceptableConfiguration occurs when a factory refuses to create an instance. This exception is thrown when the instance configuration does not specify a value for a required property or when the configuration tries to override the value of an immutable property

Author:
  Felix Project Team
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnacceptableConfiguration(java.lang.String message)` Creates an UnacceptableConfiguration.
`UnacceptableConfiguration(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnacceptableConfiguration

    public UnacceptableConfiguration(java.lang.String message)

Creates an UnacceptableConfiguration.

Parameters:
  `message` - message about the error.

#### UnacceptableConfiguration

    public UnacceptableConfiguration(java.lang.String message,
                                     java.lang.Throwable cause)